# Participant Join

To inform the room that participants have joined over the phone, you need to execute a **POST** request against the **/rooms/:id/phone-participants/joined** endpoint. After executing the call, then these participants will appear in the Participants panel inside the room.

#### Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --request POST \
  --header "Content-Type: application/json" \
  --url https://api.digitalsamba.com/api/v1/rooms/45d125d8-bac9-43a5-a6a8-311a5433239d/phone-participants/joined \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY \
  --data '[{"call_id": "53858671-c5e0-441a-9e33-e5d7f7f1861e","name": "John Smith", "caller_number": "+1234567890", "muted": true}, {"call_id": "074f23f1-6a8e-4856-8779-5cc888456d5c", "name": "David Travis", "caller_number": "+56345435", "muted": false}]'
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your room id or friendly_url (name) here - this value is just an example
String roomId = "c39d7c40-7ff7-4faa-b06f-698a639a9523";

List<Map<String, Object>> data = Arrays.asList(
    Map.of(
       "call_id", "53858671-c5e0-441a-9e33-e5d7f7f1861e",
       "name", "John Smith",
       "caller_number", "+1234567890",
       "muted", true
    ),
    Map.of(
       "call_id", "074f23f1-6a8e-4856-8779-5cc888456d5c",
       "name", "David Travis",
       "caller_number", "+56345435"
       "muted", false
    )
);
String jsonData = new ObjectMapper().writeValueAsString(data);

HttpRequest request = HttpRequest.newBuilder()
  .POST(HttpRequest.BodyPublishers.ofString(jsonData))
  .uri(new URI("https://api.digitalsamba.com/api/v1/rooms/" + roomId + "/phone-participants/joined"))
  .header("Authorization", authorizationHeader)
  .header("Content-Type", "application/json")
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

#### Response (200 OK) - empty


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/telephony/participant-join.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
